/*******************************************************************************
 * Copyright (c) 2016, 2019 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

var editorMessages = {
"VALUE": "值",
"SELECT": "选择",
"ADD": "添加",
"OK": "确定",
"CANCEL": "取消",
"ADD_CHILD": "添加子代",
"REMOVE": "移除",
"TEST" : "测试",
"TEST_CONNECTION": "测试连接",
"DESCRIPTION": "说明",
"PREVIOUS": "上一页",
"NEXT": "下一页",
"REMOVE_ELEMENT_CONFIRMATION": "确定要移除该元素吗？",
"YES": "是",
"NO": "否",
"LOADING": "正在装入...",
"SERVER_CONFIGURATION_EDITOR": "服务器配置工具",
"CONFIGURATION_FILES": "配置文件",
"TOGGLE_NAVIGATION": "切换导航",
"CLOSE": "关闭",
"ERROR_ACCESSING_SERVER_CONFIGURATION_FILE": "无法访问服务器配置文件 {0}。",
"ERROR_ACCESSING_SERVER_SCHEMA_FILE": "无法访问模式文件 {0}。",
"NO_MATCHES_FOUND": "未找到匹配选项。",
"DEFAULT_VALUE_PLACEHOLDER": "{0}（缺省值）",
"DEFAULT_VALUE_PLACEHOLDER_WITH_VARIABLE": "{0}（缺省值）或 ${{1}}（如果已定义）",
"VARIABLE_VALUE_PLACEHOLDER": "{0}（如果已定义）",
"DEFAULT_SUFFIX": "（缺省）",
"SAVE": "保存",
"DISCARD": "放弃",
"ENHANCED_LABELS": "增强型标签",
"FIELD_DESCRIPTIONS": "字段描述",
"MALFORMED_XML": "XML 内容似乎格式不正确，请切换至{0}进行编辑。",
"DESIGN": "设计",
"SOURCE": "来源",
"SOURCE_PANE": "源窗格",
"LINE_NUMBERS": "行号",
"DOCUMENTATION_DEFAULT": "缺省：{0}",
"REQUIRED_SUFFIX": "（必需）",
"USER_NAME": "用户名",
"USER_NAME_OPTIONAL": "用户名（可选）",
"PASSWORD": "密码",
"PASSWORD_OPTIONAL": "密码（可选）",
"SIGN_IN": "登录",
"ONE_MOMENT_PLEASE": "请稍候...",
"LOGIN_FAIL": "登录失败，请重试",
"FAILED" : "失败。",
"FAILED_HTTP_CODE" : "请求已失败，HTTP 状态码为 {0}。",
"SUCCESS" : "成功。",
"RESPONSE": "响应",
"PARAMETERS": "参数",
"MISSING_USER_NAME": "请指定用户名", 
"SIGN_OUT": "注销",
"SIGN_OUT_ERROR": "尝试退出时发生错误",
"SIGN_OUT_PROMPT": "退出登录？",
"CHANGES_SAVED": "更改已保存",
"FILE_ACCESS_ERROR_MESSAGE": "尝试访问服务器配置文件时，发生错误",
"ERROR_SAVING_FILE_MESSAGE": "未保存更改。服务器可能已关闭，文件可能是只读的，或者您所具有的角色可能无权进行配置更改。",
"ERROR": "错误",
"UNSAVED_CHANGES_MESSAGE": "存在未保存的更改。 ",
"READ_ONLY": "只读",
"RESTRICTED_OR_UNAVAILABLE": "受限制或不可用",
"EXPLORE_INCLUDES": "浏览包含",
"OPEN": "打开",
"READ_ONLY_WARNING_MESSAGE": "未在此服务器上配置远程文件访问权限。可以只读方式访问文件。要启用写访问权，请将以下元素添加到 server.xml 文件：",
"SAVE_BEFORE_CLOSING_DIALOG_TITLE": "关闭",
"SAVE_BEFORE_CLOSING_DIALOG_MESSAGE": "关闭之前要保存对 {0} 的更改吗？",
"DONT_SAVE": "不要保存",
"RETURN_TO_EDITOR": "返回编辑器",
"THE_VALUE_SHOULD_BE_A_BOOLEAN": "值可以是 true 或 false。",
"THE_VALUE_SHOULD_BE_A_NUMBER": "值应当是数字。",
"THE_VALUE_SHOULD_BE_AMONG_THE_POSSIBLE_OPTIONS": "值应为以下可能选项：{0}",
"UNRECOGNIZED_ELEMENT": "服务器未识别元素“{0}”。请切换至{1}来编辑该元素内容。",
"SERVER_NOT_FOUND": "未找到服务器“{0}”（主机为“{1}”且用户目录为“{2}”）。",
"FILE_NOT_FOUND_REPLACE": "未找到文件“{0}”。",
"ERROR_ACCESSING_SERVER_LIST": "无法访问集合体中的服务器列表。",
"ERROR_NOT_IN_COLLECTIVE_ENVIRONMENT": "URL 中的远程服务器引用在集合体环境外部无效。请单击 {0} 以访问本地服务器上配置文件。",
"ERROR_ACCESSING_INCLUDE_FILES": "无法访问包含文件。",
"PATH_NOT_AVAILABLE": "路径不可用",
"HERE": "此处",
"CHANGE_SERVER": "更改服务器",
"ERROR_RETRIEVING_SERVER_INFORMATION": "无法检索服务器信息。",
"SELECT_SERVER": "选择服务器",
"SERVER_DESCRIPTION": "在左手边树上选择一个元素来查看其配置。",
"SELECT_ELEMENT_TO_VIEW_DESCRIPTION": "选择元素来查看其配置。",
"SAVING": "正在保存...",
"SERVER_NAME": "服务器名称",
"CLUSTER": "集群",
"HOST": "主机",
"USER_DIRECTORY_PATH": "用户目录路径",
"SERVERS": "{0} 个服务器",
"ONE_SERVER": "1 个服务器",
"SHOWING_FIRST_N_SERVERS": "（显示前 500 个服务器）",
"COULD_NOT_RETRIEVE_SERVER_IDENTIFICATION": "无法检索服务器标识信息。",
"CONTENT_ASSIST_AVAILABLE": "请按 Ctrl+space 获取内容辅助。",
"OPEN_FILE": "打开文件",
"CREATE_FILE": "创建文件",
"FILE_NOT_FOUND": "找不到文件",
"CANNOT_ACCESS_FILE": "无法访问文件",
"CREATING_FILE": "正在创建文件...",
"SUCCESSFULLY_CREATED_FILE": "已成功创建文件",
"COULD_NOT_CREATE_FILE": "无法创建文件",
"FILE_CHANGED_DURING_EDITING_DIALOG_TITLE": "保存冲突",
"OVERWRITE": "Overwrite",
"FILE_CHANGED_DURING_EDITING_DIALOG_MESSAGE": "文件 {0} 打开后，有另一用户对其进行了更改或处理。",
"OVERWRITING": "正在覆盖...",
"SEARCH": "搜索",
"SETTINGS": "设置",
"LOCATION": "地区",
"EXPAND": "展开",
"COLLAPSE": "折叠",
"CLEAR": "清除",
"EXPAND_COLLAPSE": "展开/折叠",
"ELEMENT_INFORMATION_FORM": "元素信息格式",
"SOURCE_EDITOR": "“源代码”编辑器",
"SOURCE_EDITOR_CONTENT": "源编辑器内容",
"SOURCE_EDITOR_MENU" : "菜单内容",
"ELEMENT_DESCRIPTION": "元素描述",
"ELEMENT_SEARCH": "元素搜索",
"ADD_CHILD_ELEMENT_DIALOG": "添加子元素对话框",
"REMOVE_ELEMENT_DIALOG": "移除元素对话框",
"VALIDATE_DATASOURCE_DIALOG": "验证数据源连接对话框",
"VALIDATE_DATASOURCE": "测试数据源连接",
"ENUMERATION_SELECTION_DIALOG": "枚举选择对话框",
"SAVE_BEFORE_CLOSING_DIALOG": "关闭对话框之前保存",
"ERROR_SAVING_FILE_DIALOG": "保存文件对话框时发生错误",
"FILE_CHANGED_DURING_EDITING_DIALOG": "编辑对话框时文件发生更改",
"SERVER_TABLE_CELL_FOR_SCREEN_READER": "集群 {0}, 主机 {1}, 用户目录 {2}",
"WARNING": "警告",
"EMPTY_STRING_ATTRIBUTE_VALUE": "（空字符串）单击清除按钮以移除该属性",
"EMPTY_STRING_ELEMENT_VALUE": "（空字符串）",
"NO_VALUE": "（不存在值）",
"DEFAULTS": "缺省值",
"PRIMARY": "主要",
"AUTH_ALIAS_OPTIONAL": "认证别名（可选）",
"AUTH_ALIAS": "认证别名",
"CONTAINER_AUTHENTICATION": "容器认证",
"NO_RESOURCE_REFERENCE": "无资源参考",
"APPLICATION_AUTHENTICATION": "应用程序认证",
"CUSTOM_LOGIN_MODULE": "定制登录模块（可选）",
"LOGIN_PROPERTIES": "登录属性（可选）",
"TEST_RESULTS": "数据源测试结果",
"OVERRIDES": "覆盖",
"SELECT_FEATURE_DIALOG": "选择功能部件对话框",
"SELECT_FEATURE": "选择功能部件",
"FEATURE_DESCRIPTION": "功能部件描述",
"SELECT_FEATURE_TO_VIEW_DESCRIPTION": "选择一个功能部件以查看其描述。",
"SUPPORT_MESSAGE" : "服务器配置不适用于通过集合体控制器访问的 Node.js 服务器或 Docker 容器中的服务器。",
"NO_ROLE_MESSAGE": "该用户所具有的角色无权进行配置更改。可以只读方式访问文件。",
	
// Messages for Collective Debugging
"REQUIRED_ACTIONS" : "集合体成员所需的操作：",
"RUN_UPDATE_HOST" : "带“--hostWritePath”参数（指定一个 rpcUser 具有写权限的路径）运行“collective updateHost”或“collective registerHost”。 同时必须提供有效的主机凭证。",
"REGISTERING_HOST_LINK" : "向 Liberty 集合体注册主机",
"CONIFGURED_SSH_RXA" : "成员服务器必须正确配置其 SSH 或 hostAuthInfo。",
"CONFIGURING_COLLECTIVE_LINK" : "配置 Liberty 集合体",
"CONFIGURING_RXA_LINK" : "配置 RXA",
"TWO_LINKS" : "{0} 和 {1}", //Hyperlink 1 (CONFIGURING_COLLECTIVE_LINK) and hyperlink 2 (CONFIGURING_RXA_LINK)
"CONFIGRUED_READ_DIR" : "确保成员配置将 remoteFileAccess readDir 访问权通过服务器配置指定给应该访问的配置文件。",
"DEFAULT_READ_DIR" : "注：缺省情况下（在配置中未指 remoteFileAccess 的情况下），提供以下 readDirs：${wlp.install.dir}、${wlp.user.dir} 和 ${server.output.dir}。缺省情况下不提供 writeDir。",
"PUBLISHED_READ_DIR" : "成员服务器必须运行或先前已启动，并且已成功发布其 remoteFileAccess readDir。",
"JAVA_AVAILABLE" : "确保路径上设置了 JAVA。有三个方法设置 JAVA：",
"HOST_JAVA_HOME" : "在集合体 updateHost 命令中指定 --hostJAVAHome 参数。例如，./collective updateHost --host=[hostName] --user=[user] --password=[password] --port=[httpsPort] --hostJAVAHome=[pathToJAVA]",
"LINK_JAVA" : "在 /usr/bin 中创建指向 JAVA 的链接。例如，/usr/bin/java -> [pathToJAVA]",
"JAVA_ON_PATH" : "将 JAVA 添加到 PATH 环境变量。导出此 PATH（在 Linux 系统上应在  .bashrc 文件中）。", 
"MORE_INFORMATION" : "有关更多信息，请参阅："

};
